Subject: Re: [PATCH/WIP] Starting work on a man page for /etc/gitweb.conf

From: Jakub Narebski <[email-masked]>
Date: Thu, 12 May 2011 20:17:51 +0200

On Thu, 12 May 2011, J.H. wrote:

> Beyond that I've no real issue that haven't already been brought up, but
> I do want to make sure that the ultimate plan here is to add the scripts
> that generate this vs. the final output, right?  I mean we already have
> 2 places this documentation lives (in gitweb.perl and README), I'm not
> sure we need a 3rd place to update the documentation at by hand.  Just
> asking.

I think the ultimate goal is to move _documentation_ out of gitweb/README
(and some from gitweb/INSTALL) to gitweb.txt (or gitweb.pod) and
gitweb.conf.txt manpages... so that gitweb/README would be of size of
other README's (with sole exception of t/README, which is special case),
i.e. up to around 2,300 lines, and not 23,000 lines (10 times more).

-- 
Jakub Narebski
Poland